<?php defined('SYSPATH') or die('No direct access allowed.');

/**
 * This is the abstract class for all export capabilities.
 *
 * @package    OSB
 * @subpackage Export
 * @category   Classes/Abstract
 * @author     Deon George
 * @copyright  (c) 2010 Open Source Billing
 * @license    http://dev.osbill.net/license.html
 */
abstract class OSBExport {
	private $_data = array();
	protected $_items = array();
	protected $_payments = array();

	abstract public function export();

	public function __get($key) {
		return $this->_data[$key];
	}

	public function __set($key,$value) {
		$this->_data[$key] = $value;
	}

	protected function keys() {
		return array_keys($this->_data);
	}

	protected function vals() {
		return array_values($this->_data);
	}
}
?>
